package com.ffii.fpsms.modules.master.web

import com.ffii.fpsms.modules.master.entity.QcCategory
import com.ffii.fpsms.modules.master.service.QcCategoryService
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/qcCategories")
class QcCategoryController(
    private val qcCategoryService: QcCategoryService
) {
    @GetMapping
    fun allQcCategories(): List<QcCategory> {
        return qcCategoryService.allQcCategories()
    }
}